//Dreieck
class Dreieck
implements GeometrischesObjekt
{
  private Punkt a;
  private Punkt b;
  private Punkt c;
  
  public Dreieck(Punkt a, Punkt b, Punkt c)
  {
    this.a=a;
    this.b=b;
    this.c=c;
  }
   
  public double getFlaeche()
  {
    //Flche eines Dreieckes
    double tmp=a.getX()*b.getY()
               +b.getX()*c.getY()
               +c.getX()*a.getY()
              -(a.getY()*b.getX()
               +b.getY()*c.getX()
               +c.getY()*a.getX());
    return 0.5*tmp;
  }
  
  public double getUmfang()
  {
    //Umfang eines Dreieckes
    return Math.sqrt(
             Math.pow(a.getX()-b.getX(),2.0)
             +Math.pow(a.getY()-b.getY(),2.0))
           +(Math.sqrt(
             Math.pow(b.getX()-c.getX(),2.0)
             +Math.pow(b.getY()-c.getY(),2.0)))
           +(Math.sqrt(
             Math.pow(c.getX()-a.getX(),2.0)
             +Math.pow(c.getY()-a.getY(),2.0)));
  }
}